Subject: bug#13909: 24.3.50; Gnus or mouse? (void-function trace-values) trace-values((mouse-movement (#<window 0x869f1b8 on *Group*> blah blah))

From: Jambunathan K <[email-masked]>
Date: Sat, 09 Mar 2013 12:19:57 +0530

When I (accidentally) drag the mouse, in gnus group buffer I get this
error.  Noticing it for the first time, happens with `make bootstrap'
emacs build.  I also see mouse related refactoing in the trunk.

Debugger entered--Lisp error: (void-function trace-values)
  trace-values((mouse-movement (#<window 0x869f1b8 on *Group*> 194 (776 . 175) 18479095 nil 194 (51 . 7) nil (26 . 7) (15 . 24))))
  mouse-drag-track((down-mouse-1 (#<window 0x869f1b8 on *Group*> 194 (776 . 173) 18479078 nil 194 (51 . 7) nil (26 . 5) (15 . 24))) t)
  mouse-drag-region((down-mouse-1 (#<window 0x869f1b8 on *Group*> 194 (776 . 173) 18479078 nil 194 (51 . 7) nil (26 . 5) (15 . 24))))
  call-interactively(mouse-drag-region nil nil)
  command-execute(mouse-drag-region)

In GNU Emacs 24.3.50.1 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2013-03-09 on debian-6.05
Bzr revision: 111979 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.10707000
System Description:	Debian GNU/Linux 6.0.5 (squeeze)

Important settings:
  value of $LANG: en_IN
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: iso-latin-1-unix
  default enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  gnus-topic-mode: t
  gnus-undo-mode: t
  which-function-mode: t
  iswitchb-mode: t
  ido-everywhere: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: (only . t)

Recent input:
C-c g y <down-mouse-1> <mouse-movement> <drag-mouse-1> 
<down-mouse-1> <mouse-1> C-c d <down-mouse-1> <mouse-movement> 
<drag-mouse-1> <down-mouse-1> <mouse-movement> <mouse-1> 
<escape> x r e p o r t - e m a c <tab> <return>

Recent messages:
Checking new news...done
Symbol's function definition is void: trace-values
Mark set
Symbol's function definition is void: trace-values
Debug on Error enabled globally
Entering debugger...
Mark set
Symbol's function definition is void: trace-values [4 times]
Mark activated
Symbol's function definition is void: trace-values [3 times]